#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		daemon		saslauthd
%define		_plugindir2	%{_libdir}/sasl2
#-----------------------------------------------------------------------------
Name		:	cyrus-sasl
Version		:	2.1.28
Release		:	17.2.0.rel%{?dist}
Summary		:	The Cyrus SASL library
Group		:	System Environment/Library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://www.cyrusimap.org/releases 

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#patch0		:	%{name}-%{version}-doc_fixes-1.patch

#-----------------------------------------------------------------------------
Requires	:	chkconfig
#-----------------------------------------------------------------------------
%description
This is the Cyrus SASL API implentation. It can be used on the client
or server side to provide authentication and authorization services.
See RFC 4422 for more information.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_var}/lib/sasl
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{daemon}
%config (noreplace) %{_sysconfdir}/sysconfig/%{daemon}
%{_includedir}/sasl/*.h
%{_libdir}/libsasl2.so*
%{_libdir}/pkgconfig/libsasl2.pc
%{_plugindir2}/lib*.so*
%{_sbindir}/pluginviewer
%{_sbindir}/sas*
%{_sbindir}/testsaslauthd
%{_defaultdocdir}/%{name}-%{version}/*.{txt,html}
%{_defaultdocdir}/%{name}-%{version}/LDAP_SASLAUTHD
%{_mandir}/man3/*.3.gz
%{_mandir}/man8/*.8.gz

%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{daemon} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{daemon}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
/usr/sbin/ldconfig
%{_sbindir}/chkconfig --add %{daemon}
%{_sysconfdir}/rc.d/init.d/%{daemon} condrestart > /dev/null 2>&1 || :

%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q -n %{name}-%{version}
#patch0	-p1

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\
	--with-plugindir=%{_plugindir2}			\
	--with-configdir=%{_plugindir2}			\
	--enable-auth-sasldb				\
	--with-dbpath=%{_libdir}/sasl/sasldb2		\
	--with-saslauthd=/var/run/saslauthd 		\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	sasldir=%{_plugindir2}				\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	sasldir=%{_plugindir2}				\
	DESTDIR=%{buildroot}				\
	install

%{__make}						\
	-C plugins					\
	sasldir=%{_plugindir2}				\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p} %{buildroot}%{_var}/lib/sasl
%{__mkdir_p} %{buildroot}%{_defaultdocdir}/%{name}-%{version}
install -m644						\
	doc/html/*.html					\
	saslauthd/LDAP_SASLAUTHD			\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#installing saslauthd starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/%{daemon}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__cp} -a 						\
	%{name}-ok_addon/%{daemon}.config		\
	%{buildroot}%{_sysconfdir}/sysconfig/%{daemon}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete
#-----------------------------------------------------------------------------
%changelog
